scala.runtime

# RichDouble

#### final class RichDouble extends FractionalProxy[Double]

Source
  RichDouble.scala

Linear Supertypes
FractionalProxy[Double], RangedProxy[Double], ScalaNumberProxy[Double], OrderedProxy[Double], Ordered[Double], Comparable[Double], Typed[Double], Proxy, ScalaNumericConversions, ScalaNumber, Number, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. RichDouble
2. FractionalProxy
3. RangedProxy
4. ScalaNumberProxy
5. OrderedProxy
6. Ordered
7. Comparable
8. Typed
9. Proxy
10. ScalaNumericConversions
11. ScalaNumber
12. Number
13. Serializable
14. AnyRef
15. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichDouble(self: Double)

### Type Members

1. #### type ResultWithoutStep = Partial[Double, NumericRange[Double]]

   Definition Classes
     FractionalProxy → RangedProxy

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def <(that: Double): Boolean

   Returns true if `this` is less than `that`

   Returns true if `this` is less than `that`

   Definition Classes
     Ordered

5. #### def <=(that: Double): Boolean

   Returns true if `this` is less than or equal to `that`.

   Returns true if `this` is less than or equal to `that`.

   Definition Classes
     Ordered

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def >(that: Double): Boolean

   Returns true if `this` is greater than `that`.

   Returns true if `this` is greater than `that`.

   Definition Classes
     Ordered

9. #### def >=(that: Double): Boolean

   Returns true if `this` is greater than or equal to `that`.

   Returns true if `this` is greater than or equal to `that`.

   Definition Classes
     Ordered

10. #### def abs: Double

    Definition Classes
      ScalaNumberProxy

11. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

12. #### def byteValue(): Byte

    Definition Classes
      Number

13. #### def ceil: Double

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

15. #### def compare(y: Double): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implement this method to determine how instances of A will be sorted.

    Returns `x` where:

    - `x < 0` when `this < that`
    - `x == 0` when `this == that`
    - `x > 0` when `this > that`
    Definition Classes
      OrderedProxy → Ordered

16. #### def compareTo(that: Double): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Definition Classes
      Ordered → Comparable

17. #### def doubleValue(): Double

    Definition Classes
      ScalaNumberProxy → Number

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

21. #### def floatValue(): Float

    Definition Classes
      ScalaNumberProxy → Number

22. #### def floor: Double

23. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

25. #### def intValue(): Int

    Definition Classes
      ScalaNumberProxy → Number

26. #### val integralNum: Numeric.DoubleAsIfIntegral.type

    In order to supply predictable ranges, we require an Integral[T] which provides us with discrete operations on the (otherwise fractional) T.

    In order to supply predictable ranges, we require an Integral[T] which provides us with discrete operations on the (otherwise fractional) T. See Numeric.DoubleAsIfIntegral for an example.

    Attributes
      protected
    Definition Classes
      RichDouble → FractionalProxy

27. #### def isInfinity: Boolean

28. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

29. #### def isNegInfinity: Boolean

30. #### def isPosInfinity: Boolean

31. #### def isValidByte: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Byte MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Byte MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

32. #### def isValidChar: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Char MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Char MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

33. #### def isValidInt: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Int MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Int MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

34. #### def isValidShort: Boolean

    Returns `true` iff this has a zero fractional part, and is within the range of Short MinValue and MaxValue; otherwise returns `false`.

    Returns `true` iff this has a zero fractional part, and is within the range of Short MinValue and MaxValue; otherwise returns `false`.

    Definition Classes
      ScalaNumericConversions

35. #### def isWhole(): Boolean

    Definition Classes
      FractionalProxy → ScalaNumber

36. #### def longValue(): Long

    Definition Classes
      ScalaNumberProxy → Number

37. #### def max(that: Double): Double

    Definition Classes
      ScalaNumberProxy

38. #### def min(that: Double): Double

    Definition Classes
      ScalaNumberProxy

39. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

40. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### val ord: Ordering[Double]

    Attributes
      protected
    Definition Classes
      ScalaNumberProxy → OrderedProxy

43. #### def round: Long

44. #### val self: Double

    Definition Classes
      RichDouble → Typed → Proxy

45. #### def shortValue(): Short

    Definition Classes
      Number

46. #### def signum: Int

    Definition Classes
      ScalaNumberProxy

47. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

48. #### def to(end: Double, step: Double): Inclusive[Double]

    Definition Classes
      FractionalProxy → RangedProxy

49. #### def to(end: Double): ResultWithoutStep

    Definition Classes
      FractionalProxy → RangedProxy

50. #### def toByte: Byte

    Returns the value of this as a Byte.

    Returns the value of this as a Byte. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

51. #### def toChar: Char

    Returns the value of this as a Char.

    Returns the value of this as a Char. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

52. #### def toDegrees: Double

    Converts an angle measured in radians to an approximately equivalent angle measured in degrees

    Converts an angle measured in radians to an approximately equivalent angle measured in degrees

    returns

      the measurement of the angle x in degrees.

53. #### def toDouble: Double

    Returns the value of this as a Double.

    Returns the value of this as a Double. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

54. #### def toFloat: Float

    Returns the value of this as a Float.

    Returns the value of this as a Float. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

55. #### def toInt: Int

    Returns the value of this as an Int.

    Returns the value of this as an Int. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

56. #### def toLong: Long

    Returns the value of this as a Long.

    Returns the value of this as a Long. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

57. #### def toRadians: Double

    Converts an angle measured in degrees to an approximately equivalent angle measured in radians.

    Converts an angle measured in degrees to an approximately equivalent angle measured in radians.

    returns

      the measurement of the angle x in radians.

58. #### def toShort: Short

    Returns the value of this as a Short.

    Returns the value of this as a Short. This may involve rounding or truncation.

    Definition Classes
      ScalaNumericConversions

59. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Proxy → AnyRef → Any

60. #### def underlying(): AnyRef

    Definition Classes
      ScalaNumberProxy → ScalaNumber

61. #### def unifiedPrimitiveEquals(x: Any): Boolean

    Should only be called after all known non-primitive types have been excluded.

    Should only be called after all known non-primitive types have been excluded. This method won't dispatch anywhere else after checking against the primitives to avoid infinite recursion between equals and this on unknown "Number" variants.

    Additionally, this should only be called if the numeric type is happy to be converted to Long, Float, and Double. If for instance a BigInt much larger than the Long range is sent here, it will claim equality with whatever Long is left in its lower 64 bits. Or a BigDecimal with more precision than Double can hold: same thing. There's no way given the interface available here to prevent this error.

    Attributes
      protected
    Definition Classes
      ScalaNumericConversions

62. #### def unifiedPrimitiveHashcode(): Int

    Attributes
      protected
    Definition Classes
      ScalaNumericConversions

63. #### def until(end: Double, step: Double): Exclusive[Double]

    Definition Classes
      FractionalProxy → RangedProxy

64. #### def until(end: Double): ResultWithoutStep

    Definition Classes
      FractionalProxy → RangedProxy

65. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

66. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

67. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from FractionalProxy[Double]

### Inherited from RangedProxy[Double]

### Inherited from ScalaNumberProxy[Double]

### Inherited from OrderedProxy[Double]

### Inherited from Ordered[Double]

### Inherited from Comparable[Double]

### Inherited from Typed[Double]

### Inherited from Proxy

### Inherited from ScalaNumericConversions

### Inherited from ScalaNumber

### Inherited from Number

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any